<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CraftingManager Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/db5/class_crafting_manager.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CraftingManager Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Client only - manage set up crafting on client.  
 <a href="../../d4/db5/class_crafting_manager.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a2b252f87edfa03639003562f38f0a30f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a2b252f87edfa03639003562f38f0a30f">CraftingManager</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, PluginRecipesManager recipesManager)</td></tr>
<tr class="separator:a2b252f87edfa03639003562f38f0a30f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa1ece4b767b0b206cf0b52dca1049e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#afa1ece4b767b0b206cf0b52dca1049e6">SetRecipeID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipeID)</td></tr>
<tr class="separator:afa1ece4b767b0b206cf0b52dca1049e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a911ea59400a6afa0eb7abcfe7d04d8d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a911ea59400a6afa0eb7abcfe7d04d8d0">GetRecipeID</a> ()</td></tr>
<tr class="separator:a911ea59400a6afa0eb7abcfe7d04d8d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bbc9b43adb537feb84300a3ce6dc4aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a3bbc9b43adb537feb84300a3ce6dc4aa">IsInventoryCraft</a> ()</td></tr>
<tr class="separator:a3bbc9b43adb537feb84300a3ce6dc4aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a4c63fac63c466fbc5c3f7a861b4611"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a6a4c63fac63c466fbc5c3f7a861b4611">IsWorldCraft</a> ()</td></tr>
<tr class="separator:a6a4c63fac63c466fbc5c3f7a861b4611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f6e34fa2e440b3378332d9dd69e003"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a34f6e34fa2e440b3378332d9dd69e003">GetRecipesCount</a> ()</td></tr>
<tr class="separator:a34f6e34fa2e440b3378332d9dd69e003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6da973233f240fdaac28e2cad6f97631"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a6da973233f240fdaac28e2cad6f97631">SetNextRecipe</a> ()</td></tr>
<tr class="separator:a6da973233f240fdaac28e2cad6f97631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd5f0e4798594b92213aa9d53ea2a45"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a5cd5f0e4798594b92213aa9d53ea2a45">OnUpdate</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> item, <a class="el" href="../../d8/d83/class_object.html">Object</a> target, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> component_index)</td></tr>
<tr class="separator:a5cd5f0e4798594b92213aa9d53ea2a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34bceac8fd8b9e2c604fc56d5fa9dc4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a34bceac8fd8b9e2c604fc56d5fa9dc4d">SetInventoryCraft</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipeID, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item1, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item2)</td></tr>
<tr class="separator:a34bceac8fd8b9e2c604fc56d5fa9dc4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9120b655cdb683c5cc63c0bd9308f5ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a9120b655cdb683c5cc63c0bd9308f5ea">ResetInventoryCraft</a> ()</td></tr>
<tr class="separator:a9120b655cdb683c5cc63c0bd9308f5ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf87ebf09b0ee6e54ac69bbbf79cd941"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#abf87ebf09b0ee6e54ac69bbbf79cd941">IsEnableDebugCrafting</a> ()</td></tr>
<tr class="separator:abf87ebf09b0ee6e54ac69bbbf79cd941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae34a664a52b4ed063de1cc31450de669"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#ae34a664a52b4ed063de1cc31450de669">GetRecipeID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action_index)</td></tr>
<tr class="separator:ae34a664a52b4ed063de1cc31450de669"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a88610f641a67c5d0324f194c5a8510a4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a88610f641a67c5d0324f194c5a8510a4">CM_MODE_NONE</a> = 0</td></tr>
<tr class="separator:a88610f641a67c5d0324f194c5a8510a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49e45ddb0c3044c28f0571577422ff9a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a49e45ddb0c3044c28f0571577422ff9a">CM_MODE_WORLD</a> = 1</td></tr>
<tr class="separator:a49e45ddb0c3044c28f0571577422ff9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8193febe884400782cfa280e90d76d3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#ab8193febe884400782cfa280e90d76d3">CM_MODE_INVENTORY</a> = 2</td></tr>
<tr class="separator:ab8193febe884400782cfa280e90d76d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b173f5f92412d43d2db3a9ddb8f431"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#ac0b173f5f92412d43d2db3a9ddb8f431">m_player</a></td></tr>
<tr class="separator:ac0b173f5f92412d43d2db3a9ddb8f431"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbd5f83d3c27e17223ebf1800a98698d"><td class="memItemLeft" align="right" valign="top">PluginRecipesManager&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#adbd5f83d3c27e17223ebf1800a98698d">m_recipesManager</a></td></tr>
<tr class="separator:adbd5f83d3c27e17223ebf1800a98698d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe03b4ca722762ad9c475d6c04d968d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/dfb/class_action_variant_manager.html">ActionVariantManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#afe03b4ca722762ad9c475d6c04d968d5">m_actionVariantManager</a></td></tr>
<tr class="separator:afe03b4ca722762ad9c475d6c04d968d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e33a35b16fddc62a3c41f93c4d580e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a2e33a35b16fddc62a3c41f93c4d580e1">m_recipeID</a></td></tr>
<tr class="separator:a2e33a35b16fddc62a3c41f93c4d580e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73cb57468e476308578833901ef8fbcf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a73cb57468e476308578833901ef8fbcf">m_contextualRecipeID</a></td></tr>
<tr class="separator:a73cb57468e476308578833901ef8fbcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c9a0c305d2d9485d14bbc9aaa730b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#ac3c9a0c305d2d9485d14bbc9aaa730b8">m_recipeCount</a></td></tr>
<tr class="separator:ac3c9a0c305d2d9485d14bbc9aaa730b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77951b2f295e03439335f622e554d26c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a77951b2f295e03439335f622e554d26c">m_craftingMode</a></td></tr>
<tr class="separator:a77951b2f295e03439335f622e554d26c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6ebd6b1f6ef0a91b33aeb8989065480"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#ad6ebd6b1f6ef0a91b33aeb8989065480">m_item1</a></td></tr>
<tr class="separator:ad6ebd6b1f6ef0a91b33aeb8989065480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fbd85d524f1eb183d21c2c129041f86"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a2fbd85d524f1eb183d21c2c129041f86">m_item2</a></td></tr>
<tr class="separator:a2fbd85d524f1eb183d21c2c129041f86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a170fde65a6c0be64a4e3388d1ba1f271"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db5/class_crafting_manager.html#a170fde65a6c0be64a4e3388d1ba1f271">m_recipes</a></td></tr>
<tr class="separator:a170fde65a6c0be64a4e3388d1ba1f271"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Client only - manage set up crafting on client. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00002">2</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2b252f87edfa03639003562f38f0a30f" name="a2b252f87edfa03639003562f38f0a30f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b252f87edfa03639003562f38f0a30f">&#9670;&#160;</a></span>CraftingManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CraftingManager::CraftingManager </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PluginRecipesManager&#160;</td>
          <td class="paramname"><em>recipesManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00020">20</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a911ea59400a6afa0eb7abcfe7d04d8d0" name="a911ea59400a6afa0eb7abcfe7d04d8d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a911ea59400a6afa0eb7abcfe7d04d8d0">&#9670;&#160;</a></span>GetRecipeID() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::GetRecipeID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00036">36</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="ae34a664a52b4ed063de1cc31450de669" name="ae34a664a52b4ed063de1cc31450de669"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae34a664a52b4ed063de1cc31450de669">&#9670;&#160;</a></span>GetRecipeID() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::GetRecipeID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action_index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00175">175</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a34f6e34fa2e440b3378332d9dd69e003" name="a34f6e34fa2e440b3378332d9dd69e003"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34f6e34fa2e440b3378332d9dd69e003">&#9670;&#160;</a></span>GetRecipesCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::GetRecipesCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00051">51</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="abf87ebf09b0ee6e54ac69bbbf79cd941" name="abf87ebf09b0ee6e54ac69bbbf79cd941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf87ebf09b0ee6e54ac69bbbf79cd941">&#9670;&#160;</a></span>IsEnableDebugCrafting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CraftingManager::IsEnableDebugCrafting </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00170">170</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a3bbc9b43adb537feb84300a3ce6dc4aa" name="a3bbc9b43adb537feb84300a3ce6dc4aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bbc9b43adb537feb84300a3ce6dc4aa">&#9670;&#160;</a></span>IsInventoryCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CraftingManager::IsInventoryCraft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00041">41</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a6a4c63fac63c466fbc5c3f7a861b4611" name="a6a4c63fac63c466fbc5c3f7a861b4611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a4c63fac63c466fbc5c3f7a861b4611">&#9670;&#160;</a></span>IsWorldCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CraftingManager::IsWorldCraft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00046">46</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a5cd5f0e4798594b92213aa9d53ea2a45" name="a5cd5f0e4798594b92213aa9d53ea2a45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cd5f0e4798594b92213aa9d53ea2a45">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CraftingManager::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>component_index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00061">61</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a9120b655cdb683c5cc63c0bd9308f5ea" name="a9120b655cdb683c5cc63c0bd9308f5ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9120b655cdb683c5cc63c0bd9308f5ea">&#9670;&#160;</a></span>ResetInventoryCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CraftingManager::ResetInventoryCraft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00164">164</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a34bceac8fd8b9e2c604fc56d5fa9dc4d" name="a34bceac8fd8b9e2c604fc56d5fa9dc4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34bceac8fd8b9e2c604fc56d5fa9dc4d">&#9670;&#160;</a></span>SetInventoryCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CraftingManager::SetInventoryCraft </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipeID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00128">128</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a6da973233f240fdaac28e2cad6f97631" name="a6da973233f240fdaac28e2cad6f97631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6da973233f240fdaac28e2cad6f97631">&#9670;&#160;</a></span>SetNextRecipe()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CraftingManager::SetNextRecipe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00056">56</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="afa1ece4b767b0b206cf0b52dca1049e6" name="afa1ece4b767b0b206cf0b52dca1049e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa1ece4b767b0b206cf0b52dca1049e6">&#9670;&#160;</a></span>SetRecipeID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CraftingManager::SetRecipeID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipeID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00031">31</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab8193febe884400782cfa280e90d76d3" name="ab8193febe884400782cfa280e90d76d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8193febe884400782cfa280e90d76d3">&#9670;&#160;</a></span>CM_MODE_INVENTORY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::CM_MODE_INVENTORY = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a88610f641a67c5d0324f194c5a8510a4" name="a88610f641a67c5d0324f194c5a8510a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88610f641a67c5d0324f194c5a8510a4">&#9670;&#160;</a></span>CM_MODE_NONE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::CM_MODE_NONE = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00004">4</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a49e45ddb0c3044c28f0571577422ff9a" name="a49e45ddb0c3044c28f0571577422ff9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49e45ddb0c3044c28f0571577422ff9a">&#9670;&#160;</a></span>CM_MODE_WORLD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::CM_MODE_WORLD = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00005">5</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="afe03b4ca722762ad9c475d6c04d968d5" name="afe03b4ca722762ad9c475d6c04d968d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe03b4ca722762ad9c475d6c04d968d5">&#9670;&#160;</a></span>m_actionVariantManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/dfb/class_action_variant_manager.html">ActionVariantManager</a> CraftingManager::m_actionVariantManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00010">10</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a73cb57468e476308578833901ef8fbcf" name="a73cb57468e476308578833901ef8fbcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73cb57468e476308578833901ef8fbcf">&#9670;&#160;</a></span>m_contextualRecipeID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::m_contextualRecipeID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00012">12</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a77951b2f295e03439335f622e554d26c" name="a77951b2f295e03439335f622e554d26c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77951b2f295e03439335f622e554d26c">&#9670;&#160;</a></span>m_craftingMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::m_craftingMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00014">14</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="ad6ebd6b1f6ef0a91b33aeb8989065480" name="ad6ebd6b1f6ef0a91b33aeb8989065480"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6ebd6b1f6ef0a91b33aeb8989065480">&#9670;&#160;</a></span>m_item1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> CraftingManager::m_item1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a2fbd85d524f1eb183d21c2c129041f86" name="a2fbd85d524f1eb183d21c2c129041f86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fbd85d524f1eb183d21c2c129041f86">&#9670;&#160;</a></span>m_item2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> CraftingManager::m_item2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00016">16</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="ac0b173f5f92412d43d2db3a9ddb8f431" name="ac0b173f5f92412d43d2db3a9ddb8f431"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0b173f5f92412d43d2db3a9ddb8f431">&#9670;&#160;</a></span>m_player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> CraftingManager::m_player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00008">8</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="ac3c9a0c305d2d9485d14bbc9aaa730b8" name="ac3c9a0c305d2d9485d14bbc9aaa730b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3c9a0c305d2d9485d14bbc9aaa730b8">&#9670;&#160;</a></span>m_recipeCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::m_recipeCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a2e33a35b16fddc62a3c41f93c4d580e1" name="a2e33a35b16fddc62a3c41f93c4d580e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e33a35b16fddc62a3c41f93c4d580e1">&#9670;&#160;</a></span>m_recipeID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CraftingManager::m_recipeID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00011">11</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="a170fde65a6c0be64a4e3388d1ba1f271" name="a170fde65a6c0be64a4e3388d1ba1f271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a170fde65a6c0be64a4e3388d1ba1f271">&#9670;&#160;</a></span>m_recipes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; CraftingManager::m_recipes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00018">18</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<a id="adbd5f83d3c27e17223ebf1800a98698d" name="adbd5f83d3c27e17223ebf1800a98698d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbd5f83d3c27e17223ebf1800a98698d">&#9670;&#160;</a></span>m_recipesManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PluginRecipesManager CraftingManager::m_recipesManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html#l00009">9</a> of file <a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../d5/d38/_crafting_manager_8c_source.html">CraftingManager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/db5/class_crafting_manager.html">CraftingManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
